__copyright__ = """ Copyright (c) 2012-2013 Torsten Schmits

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, see <http://www.gnu.org/licenses/>.
"""

import time

from series.daemon.dbus import DBusClient
from series.client.errors import SeriesClientException
import series.daemon.config

from tek import logger

def dbus_cli():
    from tek import Configurations, ConfigClient
    Configurations.parse_cli(positional=(('cli_cmd', 1), ('cli_params', '*')))
    conf = ConfigClient('daemon')
    cmd_name = conf('cli_cmd')[0]
    params = conf('cli_params')
    try:
        client = DBusClient(async=False)
    except SeriesClientException as e:
        logger.error(e)
    else:
        try:
            command = getattr(client, cmd_name)
        except AttributeError:
            logger.error('No such command: {}'.format(cmd_name))
        else:
            try:
                command(*params)
            except TypeError as e:
                logger.error(e)

__all__ = []
