__copyright__ = """ Copyright (c) 2011 Torsten Schmits

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, see <http://www.gnu.org/licenses/>.
"""

from tek.errors import MooException

class NoSuchSeriesMapping(MooException):
    def __init__(self, name):
        text = 'No url mapping for series {}'.format(name)
        super(NoSuchSeriesMapping, self).__init__(text)

class NoSubsForEpisode(MooException):
    def __init__(self, series, season, episode):
        text = 'No subs for episode {} of series "{}" season {}'
        text = text.format(series, episode, season)
        super(NoSubsForEpisode, self).__init__(text)
