__copyright__ = """ Copyright (c) 2013 Torsten Schmits

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, see <http://www.gnu.org/licenses/>.
"""

import spec
import sure
from flexmock import flexmock

from tek import Configurations
from tek import logger

from series.daemon.archiver import Archiver
from series.test.daemon.db import DBTestMixin


class ArchiverTest(DBTestMixin, spec.Spec, ):

    def it_should_format_a_series_path(self):
        path_template = '{name}_{season}/{name}_{season}x{episode}.{ext}'
        Configurations.override('series', series_dir='/foo/bar',
                                path_template=path_template)
        archiver = Archiver(self._queue, self._session.commit)
        path = archiver._format_path(self._queue[0])
        path.should.be('/foo/bar/series1_1/series1_1x5.mkv')

__all__ = ['ArchiverTest']
