__copyright__ = """ Copyright (c) 2013 Torsten Schmits

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, see <http://www.gnu.org/licenses/>.
"""

from quick_orm.core import Database

class DBTestMixin(object):

    def setup(self):
        from series.daemon.model.release import ReleaseMonitor, Release
        from series.test.daemon.fixtures.monitors import monitors
        Database.register()
        self._db = Database('sqlite://')
        self._db.create_tables()
        self._db.load_data(monitors())
        self._session = self._db.session
        _monitors = self._session.query(ReleaseMonitor).all()
        self._queue = sorted(_monitors, key=lambda m: m.index)
