__copyright__ = """ Copyright (c) 2013 Torsten Schmits

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, see <http://www.gnu.org/licenses/>.
"""

import time

import dbus.service

import sure
import spec
from flexmock import flexmock

from tek import logger

from series.test.daemon.db import DBTestMixin
from series.daemon.dbus import Service

def _fake_method(self, *a):
    def wrapper(self, func):
        return func
    return wrapper

class Service_(DBTestMixin, spec.Spec, ):

    def setup(self):
        super(Service_, self).setup()
        flexmock(Service).should_receive('_init_dbus')
        self._service = Service(self._queue, self._db.session.commit)

    def it_finds_a_release_with_a_given_name(self):
        monitor = self._service._find_by_metadata(series='series1')
        monitor.release.name.should.equal('series1')

    def it_finds_a_release_with_a_given_season(self):
        monitor = self._service._find_by_metadata(season='1')
        monitor.release.season.should.equal(1)

    def it_finds_a_release_with_a_given_episode(self):
        monitor = self._service._find_by_metadata(episode='5')
        monitor.release.episode.should.equal(5)
