__copyright__ = """ Copyright (c) 2013 Torsten Schmits

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, see <http://www.gnu.org/licenses/>.
"""

import os

import httpretty

import spec
import sure
from flexmock import flexmock

from tek import Configurations, ConfigClient, logger

from tek_utils import sharehoster
from tek_utils.sharehoster.common import Downloader

from series.test.daemon.db import DBTestMixin
from series.test.daemon.support.http import setup_http_mocks

class DownloadTest(DBTestMixin, spec.Spec, ):

    def setup(self, *a, **kw):
        (flexmock(sharehoster)
            .should_receive('downloader')
            .replace_with(Downloader))
        Configurations.override('daemon', download_dir='temp')
        Configurations.override('common', link_checker_url=None)
        super(DownloadTest, self).setup(*a, **kw)

    @httpretty.activate
    def test_download_sharehoster(self):
        setup_http_mocks()
        outfile = os.path.join(ConfigClient('daemon')('download_dir'),
                               'file1a')
        # import late so flexmock is effective
        from series.daemon.download import DownloadManager
        self._downloader = DownloadManager(self._queue,
                                           self._db.session.commit)
        self._downloader._download_sharehoster(self._queue[0])
        with open(outfile) as _file:
            _file.read().should.equal('SUCCESS')
