__copyright__ = """ Copyright (c) 2013 Torsten Schmits

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, see <http://www.gnu.org/licenses/>.
"""

import os

import spec
import sure
from flexmock import flexmock

from series.daemon.feed_poller import FeedPoller
from series.test.daemon.db import DBTestMixin

class FeedPollerTest(DBTestMixin, spec.Spec):

    def it_should_parse_an_rss_feed(self):
        flexmock(FeedPoller).should_receive('_reconstruct_entries')
        fname = os.path.join('test', 'daemon', 'fixtures', 'wrzko.rss')
        feed_poller = FeedPoller(self._db.session, self._queue,
                                 self._db.session.commit)
        feed_poller.load_from_xml_file(fname)
        entries = feed_poller._rss.entries
        entries.should.have.length_of(5)
        entries[0].should.be.a('feedparser.FeedParserDict')

    def it_should(self):
        pass
