__copyright__ = """ Copyright (c) 2013 Torsten Schmits

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, see <http://www.gnu.org/licenses/>.
"""

import itertools

from series.daemon.model.release import ReleaseMonitor, Release

def monitors():
    release_data = [
        dict(title='series1_s01e05', name='series1', codec='x264',
             group='guppy', season=1, episode=5, is_series=True,
             resolution='1080p'),
        dict(title='series1_s04e02', name='series1', codec='x264',
             group='guppy', season=4, episode=2, is_series=True,
             resolution='1080p'),
        dict(title='series2_s02e07', name='series2', codec='x264',
             group='guppy', season=2, episode=7, is_series=True,
             resolution='1080p'),
    ]
    links = [
        ['http://foo.bum/file1a', 'http://foo.bum/file1b'],
        ['http://foo.bum/file2a', 'http://foo.bum/file2b'],
        ['http://foo.bum/file3a', 'http://foo.bum/file3b'],
    ]
    releases = [Release(**data) for data in release_data]
    monitor_data = enumerate(itertools.izip(releases, links))
    monitors = [ReleaseMonitor(release, index, link) for index, (release, link)
                in monitor_data]
    return monitors
