__copyright__ = """ Copyright (c) 2013 Torsten Schmits

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, see <http://www.gnu.org/licenses/>.
"""

import spec
import sure
from flexmock import flexmock

from series import util
from series.test.daemon.fixtures.feed_entries import entries

class FeedEntryFactory_(spec.Spec):

    class wrzko:

        def setup(self):
            flexmock(util).should_receive('domain').and_return('wrzko')
            from series.daemon.model.feed_entry import FeedEntryFactory
            self._subject = FeedEntryFactory('')
            
        def it_should_parse_a_title(self):
            title = 'series.name.s99e11.episode.title5x3s5e1.1080p.type.codec-group'
            feed_entry = self._subject._release_from_title(title)
            release = feed_entry.release
            release.is_series.should.be.ok
            release.title.should.be(title)
            release.name.should.be('series_name')
            release.codec.should.be('codec')
            release.season.should.be('99')
            release.episode.should.be('11')
            release.group.should.be('group')
            release.resolution.should.be('1080p')
            release.is_hd.should.be.ok
            feed_entry.is_fix.shouldnot.be.ok

        def it_should_parse_a_title_without_title(self):
            title = 'Burn.Notice.S07E11.720p.HDTV.x264-IMMERSE'
            feed_entry = self._subject._release_from_title(title)
            release = feed_entry.release
            release.is_series.should.be.ok
            release.name.should.be('burn_notice')
            release.episode.should.be('12')

        # def test_ezrss(self):
        #     title = 'Bones 8x2 [720P - HDTV - DIMENSION]'
        #     rex = FeedEntryFactory._release_rex_ezrss
        #     match = re.match(rex, title, re.I)
        #     self.assertEqual(match.group('res'), '720P')

        # def test_release_search_string(self):
        #     title = 'Breaking.Bad.S05E10.PROPER.720p.HDTV.x264-ORENJI'
        #     entry_fact = daemon.model.feed_entry.FeedEntryFactory()
        #     entry = entry_fact._release_from_title(title)
        #     strng = '3968699907/breaking.bad.s05e10.720p.hdtv.x264-orenji'
        #     self.assertTrue(re.search(entry.release.search_string, strng))

        # def test_comparison(self):
        #     self._fact = daemon.model.feed_entry.FeedEntryFactory()
        #     self._title = u'Homeland.S01E10.720p.HDTV.x264-IMMERSE'
        #     r1 = self._fact._release_from_title(self._title).release
        #     r2 = self._fact._release_from_title(self._title).release
        #     self.assertEqual(r1, r2)

        # def test_fix_and_minus(self):
        #     fact = daemon.model.feed_entry.FeedEntryFactory()
        #     repack = u'Homeland.S01E10.REPACK.720p.HDTV.x264-IMMERSE'
        #     entry = fact._release_from_title(repack)
        #     self.assertEqual(entry.release.name, 'homeland')
        #     self.assertTrue(entry.is_fix)
        #     bb = 'Beavis.and.Butt-Head.S09E10.720p.HDTV.x264-IMMERSE'
        #     entry = fact._release_from_title(bb)
        #     self.assertEqual(entry.release.name, 'beavis_and_butt-head')
