from __future__ import absolute_import

__copyright__ = """ Copyright (c) 2011-2012 Torsten Schmits

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, see <http://www.gnu.org/licenses/>.
"""

from unittest import TestCase

from series.rename_episode import rename

class RenameEpisodeTest(TestCase):

    def test_it(self):
        examples = [['-dexter.s04e01.720p.hdtv.x264.mkv', 'dexter_04x01.mkv'],
                    ['Dexter.S04E06.720p.X264.mkv', 'dexter_04x06.mkv'],
                    ['Dexter.04x06.mkv', 'dexter_04x06.mkv'],
                    ['dexter_413-asdfkjhdf.mkv', 'dexter_04x13.mkv'],
                    ['414-asdfkjhdf.mkv', '_04x14.mkv'],
                    ['how.i.met.your.mother.0512.hdtv.xvid-notv.avi',
                     'how_i_met_your_mother_05x12.avi'],
                    ['Zeries_05E09.mp4', 'zeries_05x09.mp4'],
                    ['Black_Books_0104_The_Blackout.avi', 'black_books_01x04.avi'],
                    ['Star.Trek.DS9.S04E01.avi', 'star_trek_ds9_04x01.avi'],
                    ['burn_notice_s01_e10.avi', 'burn_notice_01x10.avi']]
        for source, target in examples:
            self.assertEqual(rename(source), target)
