from __future__ import absolute_import

__copyright__ = """ Copyright (c) 2011 Torsten Schmits

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, see <http://www.gnu.org/licenses/>.
"""

import os

from unittest import TestCase

import series

class SeriesTest(TestCase):
    def test_metadata(self):
        path = '/home/media/video/series/house/s8/house_08x01.mkv'
        fact = series.EpisodeMetadataFactory()
        md = fact.from_filename(path)
        self.assertEqual(md.series, 'house')
        self.assertEqual(md.local_path, 'house/s8/house_08x01.mkv')
        path = 'house_08x01.srt'
        fact = series.EpisodeMetadataFactory()
        md = fact.from_filename(path)
        self.assertEqual(md.series, 'house')
        self.assertEqual(md.local_path, 'house/s8/sub/house_08x01.srt')
