from __future__ import absolute_import

__copyright__ = """ Copyright (c) 2010-2013 Torsten Schmits

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, see <http://www.gnu.org/licenses/>.

"""

import os
from unittest import TestCase
from optparse import Values

from series.store_episode import EpisodeHandler
from tek.config import ConfigClient, Configurations
from tek import debug
from series.store_episode import config
from series.handle_episode import config as h_config

class StoreEpisodeTest(TestCase):

    def setUp(self):
        Configurations.clear()
        config.reset_config(reset_parent=True)

    def test_store(self):
        v = Values()
        v.pretend = True
        c = ConfigClient('series')
        h = EpisodeHandler()
        h.add_episode('/foo/The Big Bang Theory - 03x18 - Foo dii Boo.srt')
        self.assertEqual(h.jobs[0].dest,
                         os.path.join(c('series_dir'), 'the_big_bang_theory',
                                      's3', 'sub', 'the_big_bang_theory_03x18.srt'))
        h.store(ask=False)
