from __future__ import absolute_import

__copyright__ = """ Copyright (c) 2011 Torsten Schmits

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, see <http://www.gnu.org/licenses/>.
"""

import os

from unittest import TestCase

from series import subsync
import series
from series.subsync import subsync_cwd, subsync_auto

class SubsyncTest(TestCase):
    @classmethod
    def setUpClass(self):
        self._cwd = os.getcwd()

    def tearDown(self):
        os.chdir(self._cwd)

    def test_subsync_cwd(self):
        os.chdir('/home/media/video/series/house/s8')
        subsync_cwd()

    def test_subsync_auto(self):
        subsync_auto()

    def test_subsync_episode(self):
        path = '/home/media/video/series/house/s8/house_08x01.mkv'
        data = series.EpisodeMetadataFactory().from_filename(path)
        sub = subsync.subsync_episode(data, write=False)
        self.assertFalse(sub.hearing_impaired)
        self.assertTrue(sub._content is None)
        self.assertFalse(sub.content is None)
